From d0e84e829e5658458365b10d9ed1cc9a5a8558a0 Mon Sep 17 00:00:00 2001
From: Barun Parruck <barun.parruck@gmail.com>
Date: Tue, 1 Mar 2016 18:52:20 +0530
Subject: [PATCH 2/2] Removed redundant AudioSpectrumDrawer files

As the AudioSpectrumDrawer files were throwing warnings when compiling for Mac Os X, and they hadn't been touched in years, they were removed.
---
 src/Gui/AudioSpectrumDrawer.cpp | 50 -----------------------------------------
 src/Gui/AudioSpectrumDrawer.h   | 43 -----------------------------------
 2 files changed, 93 deletions(-)
 delete mode 100644 src/Gui/AudioSpectrumDrawer.cpp
 delete mode 100644 src/Gui/AudioSpectrumDrawer.h

diff --git a/src/Gui/AudioSpectrumDrawer.cpp b/src/Gui/AudioSpectrumDrawer.cpp
deleted file mode 100644
index 5436970..0000000
--- a/src/Gui/AudioSpectrumDrawer.cpp
+++ /dev/null
@@ -1,50 +0,0 @@
-/*****************************************************************************
- * AudioSpectrumDrawer.cpp: Audio Spectrum Drawing Widget
- *****************************************************************************
- * Copyright (C) 2008-2014 VideoLAN
- *
- * Authors: Geoffroy Lacarriere <geoffroylaca@gmail.com>
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
- *****************************************************************************/
-
-#include "AudioSpectrumDrawer.h"
-
-AudioSpectrumDrawer::AudioSpectrumDrawer( QPainter* painter, int height, QList<int>* audioValueList )
-    : m_painter( painter ), m_height( height ), m_audioValueList( audioValueList )
-{
-    m_painter->setRenderHint( QPainter::Antialiasing, true );
-    m_painter->setPen( QPen( QColor( 79, 106, 25 ), 1, Qt::SolidLine, Qt::FlatCap, Qt::MiterJoin ) );
-}
-
-void
-AudioSpectrumDrawer::run()
-{
-    qreal max = 0;
-    for( int i = 0; i < m_audioValueList->count(); i++ )
-        if ( m_audioValueList->at(i) > max )
-            max = m_audioValueList->at(i);
-
-    for( int x = 0; x < m_audioValueList->count(); x++ )
-    {
-        if ( x <= m_height )
-        {
-            qreal y = ( (qreal)m_audioValueList->at(x) / max ) * 500;
-            y -= 365;
-            m_path.lineTo( x, y );
-        }
-    }
-    m_painter->drawPath( m_path );
-}
diff --git a/src/Gui/AudioSpectrumDrawer.h b/src/Gui/AudioSpectrumDrawer.h
deleted file mode 100644
index 989ae80..0000000
--- a/src/Gui/AudioSpectrumDrawer.h
+++ /dev/null
@@ -1,43 +0,0 @@
-/*****************************************************************************
- * AudioSpectrumDrawer.h: Audio Spectrum Drawing Widget
- *****************************************************************************
- * Copyright (C) 2008-2014 VideoLAN
- *
- * Authors: Geoffroy Lacarriere <geoffroylaca@gmail.com>
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
- *****************************************************************************/
-
-#ifndef AUDIOSPECTRUMDRAWER_H
-#define AUDIOSPECTRUMDRAWER_H
-
-#include <QList>
-#include <QPainter>
-#include <QRunnable>
-
-class AudioSpectrumDrawer : public QRunnable
-{
-    public:
-        AudioSpectrumDrawer( QPainter* painter, int height, QList<int>* audioValueList );
-        void    run();
-
-    private:
-        QPainter*       m_painter;
-        int             m_height;
-        QList<int>*     m_audioValueList;
-        QPainterPath    m_path;
-};
-
-#endif // AUDIOSPECTRUMDRAWER_H
-- 
2.3.2 (Apple Git-55)

